%define _requires_exceptions tcsh

%define name	cvs
%define version 1.11.19
%define release 1mdk

Summary:	A version control system
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		http://www.cvshome.org/
Source0:	ftp://ftp.cvshome.org/pub/cvs-%{version}/cvs-%{version}.tar.bz2
Source1: 	cvspserver
Source2: 	cvs.conf
Source3: 	cvs-xinetd
Source4:	ftp://ftp.cvshome.org/pub/cvs-%{version}/cvs-%{version}.tar.bz2.sig
Patch4: 	cvs-1.11.19-zlib.patch.bz2
Patch6: 	cvs-1.11.15-errno.patch.bz2
Patch8:		cvs-1.11-ssh.patch.bz2
Patch11:	cvs-1.11.1-newline.patch.bz2
Patch12:	cvs-1.11.4-first-login.patch.bz2
Requires:	openssh-clients
Prereq:		/sbin/install-info
BuildRequires:	autoconf2.5
BuildRequires:	krb5-devel
BuildRequires:	tcsh
BuildRequires:	texinfo
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
CVS means Concurrent Version System; it is a version control
system which can record the history of your files (usually,
but not always, source code). CVS only stores the differences
between versions, instead of every version of every file
you've ever created. CVS also keeps a log of who, when and
why changes occurred, among other aspects.

CVS is very helpful for managing releases and controlling
the concurrent editing of source files among multiple
authors. Instead of providing version control for a
collection of files in a single directory, CVS provides
version control for a hierarchical collection of
directories consisting of revision controlled files.

These directories and files can then be combined together
to form a software release.

Install the cvs package if you need to use a version
control system.

%prep

%setup -q
%patch4 -p1 -b .zlib
%patch6 -p1 -b .errno
%patch8 -p1 -b .ssh
%patch11 -p1 -b .newline
%patch12 -p1 -b .first-login

%build
export SENDMAIL="%{_sbindir}/sendmail"

%serverbuild

%configure2_5x \
    --with-tmpdir=/tmp

%make

make -C doc info

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/xinetd.d
install -d %{buildroot}%{_sysconfdir}/cvs
install -d %{buildroot}%{_sbindir}

%makeinstall

install -m0755 %{SOURCE1} %{buildroot}%{_sbindir}/
install -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/cvs
install -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/xinetd.d/%{name}

bzip2 -f doc/*.ps

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
%_install_info %{name}.info
%_install_info cvsclient.info

%preun
%_remove_install_info %{name}.info

%_remove_install_info cvsclient.info

%files
%defattr(-,root,root)
%doc BUGS FAQ MINOR-BUGS NEWS PROJECTS TODO README
%doc doc/*.ps.bz2
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%dir %{_sysconfdir}/cvs
%config(noreplace) %{_sysconfdir}/cvs/cvs.conf
%{_bindir}/cvs
%{_bindir}/cvsbug
%{_bindir}/rcs2log
%{_sbindir}/cvspserver
%{_infodir}/cvs*
%{_datadir}/cvs
%{_mandir}/man1/cvs.1*
%{_mandir}/man5/cvs.5*
%{_mandir}/man8/cvsbug.8*

%changelog
* Thu Feb  3 2005 Frederic Lepied <flepied@mandrakesoft.com> 1.11.19-1mdk
- removed broken patch14 (bug #13118)
- New release 1.11.19

* Sun Jun 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.11.17-2mdk
- use the correct S1

* Sun Jun 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.11.17-1mdk
- security release that addresses CAN-2004-0414, CAN-2004-0416,
  CAN-2004-0417 and CAN-2004-0418
- fixed P14
- misc spec file fixes

* Tue Jun 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.11.16-2mdk
- use a clean(er) build env (fix #9924)

* Sun May 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.11.16-1mdk
- 1.11.16 (fixes CAN-2004-0396)

* Fri Apr 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.11.15-2mdk
- unset TMP and TMPDIR in cvspserver script (bug #9573)

* Mon Apr 19 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.11.15-1mdk
- new version

* Thu Jan 29 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.11.11-1mdk
- 1.11.11

* Tue Jan  6 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.11.10-3mdk
- DIRM: /etc/cvs
- add localid patch to be able to access xfree86 cvs repository cleanly

* Fri Dec 19 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.11.10-2mdk
- use argument from the command line in cvspserver to allow to pass args
from the xinetd config file [bug #6194].
- use --with-tmpdir configure option to avoid miscompilation [bug #5724]

* Tue Dec  9 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.11.10-1mdk
- 1.11.10

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.11.6-3mdk
- rebuild against new kerberos

* Tue Jul 22 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.11.6-2mdk
- don't require tcsh

* Wed Jun  4 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.11.6-1mdk
- 1.11.6

* Tue Jan 21 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.11.5-1mdk
- 1.11.5

* Mon Jan 20 2003 Vincent Danen <vdanen@mandrakesoft.com> 1.11.4-2mdk
- security patch to fix double free() and insecure Update-prog/Checkin-prog
  commands

* Sat Dec 28 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.11.4-1mdk
- 1.11.4

* Thu Dec  5 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.11.2-3mdk
- corrected behaviour with empty comment

* Thu Nov 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.11.2-2mdk
- compress postcript documentation

* Wed May  1 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.11.2-1mdk
- 1.11.2

* Wed Feb 27 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.11.1-10mdk
- libsafe support in cvspserver
- recompiled with %%serverbuild

* Thu Nov 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.11.1-9mdk
- fix a bug when the cvsroot is a symlink and using LockDir.

* Thu Nov  8 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.11.1-8mdk
- Build against external zlib; do not build in-source zlib.
- Move aclocal/automake/autoconf/autoheader to %%prep stage

* Sun Oct 28 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.11.1-7mdk
- corrected empty files.

* Sun Sep  9 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.11.1-6mdk
- don't exit on error when ~/.cvspass doesn't exist on first cvs login (#4875).

* Sun Sep  9 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.11.1-5mdk
- correct cvspserver to work with xinetd startup script that removes $HOME.

* Fri Aug 10 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.11.1-4mdk
- compile with kerberos support enabled.

* Tue Jul 10 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.11.1-3mdk
- add a blank line at the beginning of the file created to edit the changes
describing a commit per Pixel request.

* Wed Jun 27 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.11.1-2mdk
- applied patch1 from ftp.cvshome.org (read only access fix)

* Fri Apr 27 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.11.1-1mdk
- 1.11.1

* Tue Mar  6 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.11-5mdk
- apply security patch from rh.
- use ssh by default.

* Fri Jan 12 2001 David BAUDENS <baudens@mandrakesoft.com> 1.11-4mdk
- BuildRequires: texinfo

* Thu Jan 04 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.11-3mdk
- fix cvspserver so that it unsets HOME which prevents pserver from 
  starting

* Wed Dec 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.11-2mdk
- Add xinetd support.

* Mon Oct 16 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.11-1mdk
- 1.11

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.10.8-6mdk
- automatically added BuildRequires

* Sun Jul 30 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.10.8-5mdk
- Fix postscripts.

* Fri Jul 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.10.8-4mdk
- Add -f to cvspserver (thnks Thierry SAURA).

* Thu Jul 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.10.8-3mdk
- BM.
- Compile with zlib of the system not of cvs.
- Macroszifications.
- Merge rh patches.

* Sat Jul 08 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.10.8-2mdk
- fixed makeinstall problem

* Tue Mar 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.10.8-1mdk
- 1.10.8
- created %{_sbindir}/cvspserver to launch cvs pserver according to
%{_sysconfdir}/cvs/cvs.conf.

* Fri Mar 24 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.10.7-5mdk
- group fix.

* Thu Nov 11 1999 Jeff Garzik <jgarzik@mandrakesoft.com>
- ...but keep experimental mmap patch in cooker

* Thu Nov 11 1999 Jeff Garzik <jgarzik@mandrakesoft.com>
- Build release, without experimental mmap patch

* Mon Oct 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch from Jeff <jgarzik@mandrakesoft.com> :
	src/client.c, src/import.c, src/filesubr.c, src/logmsg.c, src/server.c:
	* mmap support for local file read
	configure.in:
	* AC_PROG_CC handles AC_C_CROSS in modern autoconf, remove it
	* check for mmap()
	src/add.c, src/buffer.c, src/lock.c, src/modules.c, src/rcs.c,
	src/update.c, src/server.c:
	* zero variable to avoid [common, but sometimes spurious] compiler
	warning about an uninitialized variable
	src/client.c:
	* remove BROKEN_READWRITE_CONVERSION, dead feature.  The code used
	fread() to read file data not fgets(), so linefeeds were never
	translated anyway.
	src/cvs.h:
	* conditionally include sys/mman.h for mmap
	src/filesubr.c:
	* mmap support for local file read
	* optimize compare case where file sizes differ (do not open files at
	all)
	src/server.c:
	* update read_and_gzip() call
	src/server.h:
	* update read_and_gzip() prototype
	src/zlib.c:
	* update read_and_gzip() to optionally support reading from an input
	buffer instead of a file
	zlib/*.c:
	* const-ify input data pointer.  smart compilers can use this to further
	optimize
	

* Mon Aug 16 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 1.10.7

* Tue Jul 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description from Gregus <gregus@etudiant.net>

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Merging with Redhat :
	* Wed Jul 14 1999 Jim Kingdon <http://developer.redhat.com>
	- add the patch to make 1.10.6 usable
  	(http://www.cyclic.com/cvs/dev-known.html).
	

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Fix several .spec bugs
- Update to 1.10.6

* Tue May 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Bzipped info files.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptations

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Feb 22 1999 Jeff Johnson <jbj@redhat.com>
- updated text in spec file.

* Mon Feb 22 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.10.5.

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.10.4.

* Tue Oct 20 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.10.3.

* Mon Sep 28 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.10.2.

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- remove trailing characters from rcs2log mktemp args

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.10.1

* Mon Aug 31 1998 Jeff Johnson <jbj@redhat.com>
- fix race conditions in cvsbug/rcs2log

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.10.

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.9.30.

* Mon Jun 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Mon Jun  8 1998 Jeff Johnson <jbj@redhat.com>
- build root
- update to 1.9.28

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>
- added install-info stuff
- added changelog section
